function onBegin ()
    disablePause()
    disableMovement()
    wait(5)
    enableMovement()
    enablePause()
end

function onEnd()
    completeArea (true, true, true)
    enableMovement()
    enablePause()
end